Bug 216467 - xm unpause domain give a BUG: soft lockup detected on CPU#0!
Summary: xm unpause domain give a BUG: soft lockup detected on CPU#0!
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Glauber Costa
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 209534
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-20 17:20 UTC by Brian Stein
Modified: 2013-03-01 05:15 UTC (History)
6 users (show)

Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-26 20:44:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
properly pause/unpause (2.72 KB, patch)
2006-11-24 13:09 UTC, Glauber Costa
no flags Details | Diff

Description Brian Stein 2006-11-20 17:20:03 UTC
+++ This bug was initially created as a clone of Bug #216029 +++

Description of problem:

pause a domain (xm pause)

wait 5 seconds or more.

unpause the domain (xm unpause)


BUG: soft lockup detected on CPU#0!
 [<c040571a>] dump_trace+0x69/0x1af
 [<c0405878>] show_trace_log_lvl+0x18/0x2c
 [<c0405e18>] show_trace+0xf/0x11
 [<c0405e47>] dump_stack+0x15/0x17
 [<c0441935>] softlockup_tick+0xad/0xc4
 [<c0409290>] timer_interrupt+0x54b/0x593
 [<c0441bba>] handle_IRQ_event+0x27/0x51
 [<c0441c7a>] __do_IRQ+0x96/0xf2
 [<c0406ca8>] do_IRQ+0x9e/0xbc
 =======================


Version-Release number of selected component (if applicable):

xen-libs-3.0.3-0.1.rc3
kernel-xen-2.6.18-1.2784.fc6
xen-3.0.3-0.1.rc3

Comment 2 RHEL Product and Program Management 2006-11-20 17:40:20 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 Glauber Costa 2006-11-24 13:09:12 UTC
Created attachment 142060 [details]
properly pause/unpause 

I'm posting this upstream in a while. It fixes the problem by inspecting the
contents of the RUNSTATE_offline entry in the runstate array.

Comment 5 Don Zickus 2006-12-04 18:35:04 UTC
in 2.6.18-1.2789.el5

Comment 6 Jay Turner 2006-12-06 22:46:06 UTC
QE ack for RHEL5.  Bug in new feature/functionality.

Comment 7 Jay Turner 2007-01-26 20:44:50 UTC
2.6.18-7.el5 included in 20070125.0.


Note You need to log in before you can comment on or make changes to this bug.